# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define	name	monitor-edid
%define	version	1.16
%define	release	%mkrel 1

Summary:	Get monitor details
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Configuration/Other
Url:		http://wiki.mandriva.com/en/Tools/monitor-edid
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExcludeArch:	%{sunsparc}

%description
This package will try to read the monitor details directly from the
monitor.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_sbindir}/*


%changelog
* Mon Mar 10 2008 Pixel <pixel@mandriva.com> 1.16-1mdv2008.1
+ Revision: 183268
- update URL
- 1.16:
- do not install monitor-get-edid-using-vbe on archs where VBE is not
  available (Remi Collet)

* Wed Jan 23 2008 Pixel <pixel@mandriva.com> 1.15-1mdv2008.1
+ Revision: 157016
- 1.15:
- monitor-probe:
  o probe "using DMI" before "using X"
- monitor-probe-using-X:
  o in last resort, get Intel BIOS mode when "BIOS panel mode is bigger than
    probed programmed mode"

* Thu Jan 10 2008 Pixel <pixel@mandriva.com> 1.14-1mdv2008.1
+ Revision: 147502
- 1.14:
- monitor-edid, monitor-get-edid:
  o call monitor-get-edid-using-vbe with a range of ports, it stops on first
    success (by default it tries port 0 then port 1)

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 1.13-1mdv2008.1
+ Revision: 146846
- 1.13:
- monitor-get-edid:
  o skip /proc/acpi/video/**/EDID files which can't be valid (#34417)
  o minimal support for getting EDID from different DDC port
    (experimental, need testing before using it in monitor-edid)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 26 2007 Pixel <pixel@mandriva.com> 1.12-1mdv2008.0
+ Revision: 93044
- use make install
- 1.12:
- monitor-probe-using-X:
  o when an EDID is found in Xorg.log, pass it to monitor-parse-edid
  o handle --perl option (passed to monitor-parse-edid)

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.11-1mdv2008.0
+ Revision: 74812
- Import monitor-edid



* Thu Aug 31 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.11-1mdv2007.0
- fix ballback to old get_edid() function
- ignore VBIOS checksum failures, use CPU emulator in that case

* Tue Jul 11 2006 Pixel <pixel@mandriva.com> 1.10-1mdv2007.0
- use a fixed FontPath (do not default to unix:-1 in case xfs is not running)

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.9-5mdv2007.0
- do not build on sparc
- build with $RPM_OPT_FLAGS
- do parallell build
- cosmetics

* Wed May 10 2006 Pixel <pixel@mandriva.com> 1.9-4mdk
- fix a segfault occuring on some boxes in monitor-get-edid-using-vbe, 
  when using try-in-console

* Fri Mar 10 2006 Pixel <pixel@mandriva.com> 1.9-3mdk
- set url to wiki page instead of the cvs

* Fri Jan  6 2006 Pixel <pixel@mandriva.com> 1.9-2mdk
- add missing monitor-get-edid

* Thu Jan  5 2006 Pixel <pixel@mandriva.com> 1.9-1mdk
- monitor-get-edid is now a perl script able to probe /proc/acpi/video
  (or /proc/device-tree on PPC)
- binary monitor-get-edid is now monitor-get-edid-using-vbe
- monitor-edid is able to get more than one head

* Mon Aug  8 2005 Pixel <pixel@mandriva.com> 1.5-1mdk
- add option --try-in-console when probing edid
  since probing edid sometimes only work in console
- use this option by default in monitor-probe

* Wed Apr  6 2005 Pixel <pixel@mandrakesoft.com> 1.4-1mdk
- default on old lrmi code to get ddc via int10
- fix build on vesa-cvt

* Fri Mar 25 2005 Pixel <pixel@mandrakesoft.com> 1.3-1mdk
- added vesa-cvt (allowing to compute reduced-blanking timings)

* Thu Mar 17 2005 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- new release (added monitor-probe and monitor-probe-using-X)

* Tue Mar  8 2005 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new release

* Wed Feb 23 2005 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- first package
